# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="A C interface library to i3wm"

HOMEPAGE="https://github.com/altdesktop/i3ipc-glib"

SRC_URI="https://github.com/altdesktop/i3ipc-glib/archive/v1.0.1.tar.gz"

LICENSE="GPL-3"

SLOT="1.0"

KEYWORDS="~amd64"

IUSE="introspection gtk-doc"

DEPEND="
	introspection? (
		dev-libs/gobject-introspection
	)
	dev-util/gtk-doc
"

BDEPEND="
	>=dev-libs/json-glib-0.14.0
	>=dev-libs/glib-2.32.0
	x11-base/xcb-proto
	x11-libs/libxcb
"

src_configure() {
	USEOPTIONS=""
	if use gtk-doc; then
		USEOPTIONS+="--enable-gtk-doc"
	fi
	if use introspection; then
		USEOPTIONS+="--enable-introspection"
	fi
	./autogen.sh ${USEOPTIONS} \
		--host=${CHOST} \
		--prefix=/usr \
		--libdir='${prefix}/lib64' \
		--infodir=/usr/share/info \
		--mandir=/usr/share/man || die
}

#src_install() {
#	emake DESTDIR="${D}" LIBRARY_REL=$(get_libdir) install || die
#}